#ifndef INSTANTIABLENODE_H_
#define INSTANTIABLENODE_H_

#include "libraries/Node.h"
#include "networks/wiredbas/WiredBasPlatformInstance.h"
#include "networks/wiredbas/WiredBasImplementation.h"

namespace cosi
{

namespace library
{

namespace wiredbas
{

class InstantiableNode : public cosi::library::Node
{
public:
	InstantiableNode();
	virtual ~InstantiableNode();
	virtual cosi::commstruct::wiredbas::PlatformInstance* GetPlatformInstance(int V , Position pP ) =0 ;
	virtual cosi::commstruct::wiredbas::Implementation* GetImplementationInstance(int V , Position pP , ThreadSet pThreads, TransferTable pT ) =0;

};

}

}

}

#endif /*INSTANTIABLENODE_H_*/
